HexChat 2.10.0

 ( bviktor | 2014. június 2., hétfő - 9:48 )

Több mint 8 hónap munkájának gyümölcseként megszületett a HexChat legújabb kiadása, a 2.10.0. Ez a verzió szakít a korábbi (idétlen) számozással, és az általánosan bevett szokásoknak megfelelően ezentúl a micro kiadások csak hibajavításokat fognak jelölni, a minor kiadások viszont új feature-öket is. A major verziót a GTK+ verziójához igazítjuk. Ezen kívül a GTK+ hagyományai mentén a jövőben az új stabil kiadások páros számmal érkeznek (2.10, 2.12, ...), az esetleges béta verziók pedig páratlannal.

Pár kiemelendő újítás:

  • A felület segédablakai átestek egy generáljavításon, kiemelendő a billentyűparancsok ablakát és a keresőt, amely immár nem ablak, hanem egy sáv. Ezen kívül a beviteli mező immáron megjeleníti a színeket és a félkövér/dőlt betűket is.
  • A Linux build rendszer nagymértékben leegyszerűsödött a GNOME által biztosított segédszkriptek révén.
  • A kód immáron OpenBSD-n is fordul.
  • A Windows solution frissítve lett Visual Studio 2013-ra, a Perl 5.20-ra, a Python 3.4-re. Ezen kívül az OpenSSL is Heartbleed-ready, frissített Mozilla tanúsítványlistával.
  • A legnagyobb hír az OS X hivatalos támogatása. Az alkalmazást egy ZIP formátumú "bundle" formájában érhetitek el, melyet Mavericks-en építünk, tehát a megfelelő működés csak ezen a verzión garantált.

[ bejelentés | changelog | letöltés | facebook | twitter ]

Lazán kapcsolódó hír, hogy hosszas bürokratikus vívódás után a HexChat végre bekerült a Debian unstable, majd testing ágába is, ezáltal az Ubuntu 14.04 felhasználói számára szintén elérhető most már a hivatalos tárolókból is. Ezen kívül elérhető a Fedora, OpenSUSE, Arch, Gentoo, FreeBSD hivatalos tárolóiból is. Akinek a "latest & greatest" kell, annak természetesen továbbra is a forráskódot vagy a Git verziót ajánljuk.

Köszönet az összes támogatónak, aki hozzájárult ahhoz, hogy ez legyen az eddigi legjobb kiadásunk!

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

A páros páratlan verziószámozással mindig az volt a bajom, hogy aki nem követte egy adott szoftver ilyen irányú híreit, az lazán feltolta a bétát is, mert új, aztán persze anyázott, hogy bugzik. Ez csak egy vélemény, de elég sokan felhagytak ezzel pont a fent ecsetelt esetek miatt.

Ez az end usert nem igazan fogja erinteni, hiszen a fooldalra nem fog kikerulni ilyen verzio, max szep nagy beta felirattal :) Az update checker plugin szinten csak stabil verziokra fog frissiteni.

Ez egy jó megoldás, köszi a választ!

A Mavericks-es build ezzel egyutt universal binary, nem? Tehat elvben Lion-on is mehet...
--
Ki oda vagyik, hol szall a galamb, elszalasztja a kincset itt alant.

A universal binary azt jelenti, hogy PowerPC-n is megy, de a mienk nem ilyen :) Elvben mehet barmelyik release-en (pl. tegnap volt 10.8-as bugfix), de garancia nincs ra.

Nem egeszen, az unibin tartalmazhat barmilyen architekturat a ppc-tol kezdve az i386-on at arm64-ig bezarolag.

---
pontscho / fresh!mindworkz

Az oke, de most OS X-rol beszeltunk :)

Igen. Az universal binary azt jelenti, hogy tartalmaz(hat) 32 es 64 bites verziot is. Lasd meg ugyanitt: OS X 32 bit kernel, Snow Leopard 32 bit, etc. Meg mindig OS X-rol bezelunk.
--
Ki oda vagyik, hol szall a galamb, elszalasztja a kincset itt alant.

Akkor meg egyszer, nem.

Some software publishers such as Mozilla have used the term Universal to refer to a fat binary that includes tailored builds for both i386 (32-bit Intel) and x86_64 systems. [...] Apple, however, continues to require native compatibility with both PowerPC and Intel in order to grant third-party software publishers permission to use Apple's trademarks related to Universal binaries.

Ezen kivul 10.6 ota nem beszelhetunk PowerPC-rol, 10.8 (vagy 7?) ota pedig 32 bitrol sem.

Megkerdeztem az OS X karbantartot, "elvileg" 10.6+. Namost mivel a 10.6+ mar pont az, ami 64 bites kernel szinten is (i.e. lehet valasztani a 32 es 64 kozott), igy most nem tudom neked pontosan megmondani, hogy tisztan 32 biten menne-e. Ha tippelni kene, akkor nem.

Ezen kivul mas fejlesztoktol azt hallom (nem spec, hanem tapasztalat alapjan), hogy ha OS X-en buildelsz, akkor a build host verzioja hatarozza meg, hogy min fut garantaltan, e.g. 10.9-en buildelt = 10.9 es afolott tuti megy, alatta meg proba szerencse. De FIXME.

Ok, igy mar tiszta. Egyebkent en a Mozilla-fele terminologiat ertem az Universal binary alatt, nem a PPC included cuccokat, meg ha az Apple-fele terminologia pontosabb is.
--
Ki oda vagyik, hol szall a galamb, elszalasztja a kincset itt alant.

Ezen kivul 10.6 ota nem beszelhetunk PowerPC-rol, 10.8 (vagy 7?) ota pedig 32 bitrol sem.

10.7. Btw, 10.6-on meg mukodtek a ppc-s alkalmazasok, csak fel kellett tenni az install dvd-rol a kokemeny 3MB meretu rosettat. A libek jo resze meg mindig tartalmazta a binarist is, csak a kernel modulokbol vettek ki. Ez ilyen mesterseges korlat volt a ppc-s vasak tulajdonosainak, h valtsanak.

Ezen kivul mas fejlesztoktol azt hallom (nem spec, hanem tapasztalat alapjan), hogy ha OS X-en buildelsz, akkor a build host verzioja hatarozza meg, hogy min fut garantaltan, e.g. 10.9-en buildelt = 10.9 es afolott tuti megy, alatta meg proba szerencse. De FIXME.

Fogalmam sincs mivel forditotok, de ha xcode-dal, akkor valaszthatsz mire akarsz forditani ha az adott platform (10.4, 10.5, 10.6…) SDK-ja megvan. Ha nem allitod be alapban, h mire akarsz forditani, akkor valoban a host szamit. Xcode ui-ban egy katt, ha command line, akkor -isysroot /path/to/the/sdk. Es igy siman fordithatsz 10.6 minimum verziora 10.10-en is.

---
pontscho / fresh!mindworkz

10.7. Btw, 10.6-on meg mukodtek a ppc-s alkalmazasok, csak fel kellett tenni az install dvd-rol a kokemeny 3MB meretu rosettat. A libek jo resze meg mindig tartalmazta a binarist is, csak a kernel modulokbol vettek ki. Ez ilyen mesterseges korlat volt a ppc-s vasak tulajdonosainak, h valtsanak.

Nice...

Fogalmam sincs mivel forditotok, de ha xcode-dal, akkor valaszthatsz mire akarsz forditani ha az adott platform (10.4, 10.5, 10.6…) SDK-ja megvan. Ha nem allitod be alapban, h mire akarsz forditani, akkor valoban a host szamit. Xcode ui-ban egy katt, ha command line, akkor -isysroot /path/to/the/sdk. Es igy siman fordithatsz 10.6 minimum verziora 10.10-en is.

Nem feltetelezem, hogy a fejlesztoink nem talaltak meg a dropdown-t. Mint mondtam, nem az elvrol van szo, hanem a gyakorlatrol.

Igy vagy ugy, de nincs meg hozza a kompetenciam, hogy erdemben cafolni vagy megerositeni tudjam, ugyhogy inkabb nem is eroltetem.

OS X -en ilyen szempontból mindegy hogy a kernel 64 bites-e, amikor még default 32 bites kernel volt, akkor is már indultak 64 bites appok, és fordítva, most is indulnak 64 bites kernelen 32 bites appok.
Nem a build host verziója határozza meg, hogy min fut garantáltan, hanem a target sdk. Az persze igaz, hogy nem lehet magasabb sdk -t használni mint amire buildelsz, és alacsonyabbat se sokkal (1-el korábbi kb. amit még fel szokott ajánlani). De ez nem is olyan fontos, minden API -ra elég pontosan specifikálva van hogy hanyas OS X -től létezik, szóval erre lehet építeni, amúgy meg tesztelni kell. Én OS X 10.9 alatt buildelek mióta kijött, és tipikusan még 10.6 a minimum os version.
Late binding illetve dinamikus objective c hívások miatt meg lehet runtime eldönteni hogy újabb api-kat tudunk-e használni vagy nem.

Koszi.

2 apróság.

1. "az Ubuntu 14.04 felhasználói számára szintén elérhető most már a hivatalos tárolókból is."
Naprakész xubuntu 14.04 tárolóiban nálam nincs benne. Alap magyar repo van beállítva, ahogy telepítésre került.

2. A ppa-ból frissítenék, de ezt kapom: Hibák történtek a feldolgozáskor:
/var/cache/apt/archives/hexchat_2.10.0-0ubuntu1~trusty3_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@cern:~# sudo add-apt-repository ppa:gwendal-lebihan-dev/hexchat-stable
This PPA contains stable releases of HexChat.

A hiba okozója az előző verziókkal felkerült a gépre függőségként a hexchat-common, amit a frissítés nem akart auto leszedni. Miután leszedtem, hiba nélkül települt.

3. Hatalmas köszönet az eddigi és eljövendő munkátokért, egyszerűen ez számomra a "tökéletes" irc kliens.

---
A Linux nem ingyenes. Meg kell fizetni a tanulópénzt.
Az emberek 66 százaléka nem tud számolni! Gondoljatok bele, ez majdnem a fele!!
Mindenki jó valamire. Ha másra nem, hát elrettentő példának.

Erdekes, ilyet meg nem nagyon hallottam.

http://packages.ubuntu.com/search?keywords=hexchat&searchon=names&suite=trusty&section=all

A PPA nyilvan olyan, amilyen... :)